# $Revision: 1.19 $, $Date: 2012/02/04 12:07:17 $
Summary:	Linux DC++ client port
Summary(pl.UTF-8):	Linuksowy port klienta DC++
Name:		linuxdcpp
Version:	1.1.0
Release:	1
License:	GPL v2
Group:		X11/Applications/Networking
Source0:	http://launchpad.net/linuxdcpp/1.1/%{version}/+download/%{name}-%{version}.tar.bz2
# Source0-md5:	037de708bdb1e5dd7ac6c359b0e2c1a0
Source1:	%{name}.desktop
URL:		https://launchpad.net/linuxdcpp/
BuildRequires:	boost-devel
BuildRequires:	bzip2-devel
BuildRequires:	glib2-devel >= 1:2.4
BuildRequires:	gtk+2-devel >= 2:2.12
BuildRequires:	libglade2-devel >= 1:2.4
BuildRequires:	libnotify >= 0.4.1
BuildRequires:	libstdc++-devel >= 4.1
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	scons >= 0.98.1
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	zlib-devel
Suggests:	xdg-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Linux port of the DC++ Direct Connect client.

%description -l pl.UTF-8
Linuksowy port klienta Direct Connect DC++.

%prep
%setup -q

%build
export CXXFLAGS="%{rpmcflags}"
scons \
	PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_mandir}/man1}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

export CXXFLAGS="%{rpmcflags}"
scons install \
	FAKE_ROOT=$RPM_BUILD_ROOT

install data/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
install icons/%{name}.xpm $RPM_BUILD_ROOT%{_pixmapsdir}

rm -rf $RPM_BUILD_ROOT%{_docdir}/linuxdcpp

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc Changelog.txt Credits.txt Readme.txt data/magnet.protocol
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*x*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_pixmapsdir}/%{name}.xpm
%{_mandir}/man1/%{name}.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: linuxdcpp.spec,v $
Revision 1.19  2012/02/04 12:07:17  gotar
- package additional files (icon, man page, locales), verbose %files

Revision 1.18  2012/02/04 11:55:21  gotar
- upgraded to 1.1.0

Revision 1.17  2010/11/13 12:08:18  pawelz
- release 3

Revision 1.16  2010/04/12 19:26:51  arekm
- release 2

Revision 1.15  2009/02/04 10:22:09  gzohop
- up to 1.0.3

Revision 1.14  2008/08/17 18:49:11  qboosh
- no //
- safer glob for .desktop

Revision 1.13  2008/08/06 20:11:31  gzohop
- up to 1.0.2
- moved to launchpad.net

Revision 1.12  2008/03/06 10:52:42  gotar
- S: xdg-utils as poined out by Grzesiek Pycia

Revision 1.11  2008-02-28 19:39:21  gotar
- arghhh, URL fixed

Revision 1.10  2008-02-28 19:35:19  gotar
- fixed md5

Revision 1.9  2008-02-28 19:33:45  gotar
- upgraded snapshot to 1.0.1 release (from Grzesiek Pycia)

Revision 1.8  2007-05-31 12:10:42  shadzik
- rem BR gcc-c++

Revision 1.7  2007/05/31 11:42:56  zytek
- rel 1, builds, works fine

Revision 1.6  2007/05/31 11:35:47  zytek
- snap up to 070531
- BR: gcc-c++, libstdc++-devel, openssl-devel

Revision 1.5  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.3  2006/11/15 22:49:26  qboosh
- proper glib/gtk BRs, glob fix

Revision 1.2  2006/11/14 18:11:12  gotar
- added desktop file

Revision 1.1  2006/11/14 13:45:48  gotar
- initial PLD release
